Bug 341801 - multiarch conflicts in kipi-plugins
multiarch conflicts in kipi-plugins
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kipi-plugins (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:43 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 169543 None None None Never

  None (edit)
Description Bill Nottingham 2007-10-19 17:43:17 EDT
kipi-plugins (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/HTML/de/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8
  file /usr/share/doc/HTML/en/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8
  file /usr/share/doc/HTML/es/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8
  file /usr/share/doc/HTML/et/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8
  file /usr/share/doc/HTML/it/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8
  file /usr/share/doc/HTML/nl/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8
  file /usr/share/doc/HTML/pt_BR/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8
  file /usr/share/doc/HTML/sv/kipi-plugins/index.cache.bz2 from install of kipi-plugins-0.1.4-4.fc8 conflicts with file from package kipi-plugins-0.1.4-4.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bug Zapper 2008-05-13 23:32:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Steven M. Parrish 2008-06-30 17:20:08 EDT
Is this still an open issue?
Comment 3 Steven M. Parrish 2008-07-28 16:44:56 EDT
Still an issue with 4.1 or can we close this?
Comment 4 Rex Dieter 2008-07-28 16:48:50 EDT
kipi-plugins isn't kde4 related.  Makes me wonder, however, how/why kipi-plugins
is multilib'd anyway.
Comment 5 Douglas E. Warner 2008-08-21 14:08:47 EDT
Filed bug upstream (w/ patch for english docs) to clean up id tags in docbook files.
Comment 6 Rex Dieter 2008-08-21 14:19:07 EDT
hella awesome.  we've got similar docbook conflicts elsewhere, so I'm curious how easy it was to fix.
Comment 7 Douglas E. Warner 2008-08-21 14:30:53 EDT
It took me some time to figure out how the docbook files got converted into HTML for KDE so I could reproduce it, but basically I just looked through index.cache.bz2 file for '<a name="id' and found the appropriate section in the docbook file and added an id tag there.

I skipped over the various language ones since the docbook file was modified by-hand and it took me a little bit to go through; but shouldn't be hard to do.
Comment 8 Douglas E. Warner 2008-08-21 14:40:34 EDT
I just rebuild kipi-plugins w/ the patch in kdebug#169543 and the multilib comparison no longer has the english index.cache.bz2:

$ multilib-cmp.py /var/lib/mock//fedora-9-i386/result/kipi-plugins-0.1.5-3.fc9.i386.rpm /var/lib/mock//fedora-9-x86_64/result/kipi-plugins-0.1.5-3.fc9.x86_64.rpm
File conflict for /usr/share/doc/HTML/de/kipi-plugins/index.cache.bz2 in kipi-plugins-0.1.5-3.fc9
File conflict for /usr/share/doc/HTML/es/kipi-plugins/index.cache.bz2 in kipi-plugins-0.1.5-3.fc9
File conflict for /usr/share/doc/HTML/et/kipi-plugins/index.cache.bz2 in kipi-plugins-0.1.5-3.fc9
File conflict for /usr/share/doc/HTML/it/kipi-plugins/index.cache.bz2 in kipi-plugins-0.1.5-3.fc9
File conflict for /usr/share/doc/HTML/nl/kipi-plugins/index.cache.bz2 in kipi-plugins-0.1.5-3.fc9
File conflict for /usr/share/doc/HTML/pt_BR/kipi-plugins/index.cache.bz2 in kipi-plugins-0.1.5-3.fc9
File conflict for /usr/share/doc/HTML/sv/kipi-plugins/index.cache.bz2 in kipi-plugins-0.1.5-3.fc9
Comment 9 Steven M. Parrish 2009-01-10 13:56:57 EST
Rex is this still an issue or can we close?
Comment 10 Douglas E. Warner 2009-01-12 12:14:00 EST
The work I did only fixed the English version and the patch would need ported to the other languages.  Unfortunately we haven't received much info from upstream as to whether we should do this work or not.
Comment 11 Bug Zapper 2009-06-09 19:01:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 13:15:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.